WordPress.org

Ready to get started?Download WordPress

Forums

Erroneous "An automated WordPress update has failed to complete" message (12 posts)

  1. sparker
    Member
    Posted 5 years ago #

    On one of my sites, I was running 2.7 when 2.7.1 was announced. I tried to run the Automated Update and it "hung" (I finally found the docs for my host that discuss using php-cgiwrap, but after the hang).

    Anyway, I quit the browser, logged in with ssh, and did a subversion upgrade like I've done in past.

    But now I have the message "An automated WordPress update has failed to complete - please attempt the update again now." at the top of my dashboard, even though the "Right Now" section says I'm running 2.7.1

    Any idea how to "clear" the erroneous message asking me to attempt the upgrade again now?

    Thanks

    Steve

  2. Samuel Wood (Otto)
    Tech Ninja
    Posted 5 years ago #

    The update directory in your uploads folder. Remove it.

  3. sparker
    Member
    Posted 5 years ago #

    I'm assuming that you meant the directory named "upgrade" in the ./wp-content folder?

    Steve

  4. Samuel Wood (Otto)
    Tech Ninja
    Posted 5 years ago #

    Sure. That one. :)

  5. sparker
    Member
    Posted 5 years ago #

    Removed it, cleared cache and cookies, quit Firefox, and relaunched. I still get the same message on the Admin dashboard. Could there be a variable that gets set in the database somewhere?

  6. Samuel Wood (Otto)
    Tech Ninja
    Posted 5 years ago #

    Oh. Is there a .maintenance file in the WP root directory? If so, remove it.

  7. sparker
    Member
    Posted 5 years ago #

    Yep. There was, it's gone, and things are "all better". Thanks for the help!

  8. blued888
    Member
    Posted 4 years ago #

    Thanks for this Otto42!

    Encountered some stuck-ups during my WP 2.8 update and got hit with the "An automated WP update has failed to complete" message.

  9. ChrisKink
    Member
    Posted 4 years ago #

    I tried the auto upgrade from 2.8.2 to 2.8.3 and I too have this same message. I've looked for all the files listed above, and I can't see either the 'update' directory, or any 'maintenance' file, and yet I still get the error message.

    Any other advice on how to get rid of that message? I did go back and manually update to 2.8.3, so how do I know if it is all working (it says i'm running 2.8.3 in the dashboard) I just want to make sure things will work moving forward from here.

  10. ChrisKink
    Member
    Posted 4 years ago #

    As feared, when I went to do the latest update to 2.8.4 (via auto-update), I continue to get the same error message on the failed update. This is after doing everything as stated here, and then doing a manual install.

    I'm obviously missing something. Anybody?

  11. ChrisKink
    Member
    Posted 4 years ago #

    Okay... I've now got it. I carefully re-read Otto42's comment. The .maintenance file in the WP root directory, is an invisible file. (the [dot] in front of maintenance means the file is invisible).

    So... Anybody else coming here trying to figure out how to remove that message from the top of your Dashboard... Turn on 'Show Invisible Files' (or whatever your FTP client says, I use Transmit) and delete that invisible '.maintenance' file.

    Worked like a charm.

  12. cdchurch
    Member
    Posted 4 years ago #

    I got this message when upgrading to 2.8.6. Thought I lost everything but when it finally came to, it was displaying that message at the top of the dashboard. I just renamed the .maintenance file to .maintenanceold and the error message went away.

Topic Closed

This topic has been closed to new replies.

About this Topic